%define	module	Mail-RBL
%define	name	perl-%{module}
%define	version	1.09
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension to access RBL-style host verification services
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Mail/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(NetAddr::IP)
BuildRequires:  perl(Net::DNS)
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module eases the task of checking if a given host is in the list. 

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Mail
%{_mandir}/*/*


%changelog
* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.09-1mdv2007.0
+ Revision: 94825
- new version
- Import perl-Mail-RBL



* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-4mdv2007.0
- Rebuild

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.04-3mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.04-2mdk
- Add BuildRequires

* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdk
- new version 
- spec cleanup
- fix directory ownership
- re-enale tests

* Mon Jul 04 2005 Oden Eriksson <oeriksson@mandriva.com> 1.02-2mdk
- rebuild

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.02-1mdk
- 1.02
- disable test for now
- cosmetics

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.00-5mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.00-4mdk
- rebuild for new auto{prov,req}

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.00-3mdk
- build release

* Wed Jul 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.00-2mdk
- rebuild with new perl

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.00-1mdk
- initial cooker contrib.
